Introduction

Lesson 1 - Parts - Overview

In order to finish this solid model part, these are the features you need:

  1. Opening a new part
  2. Creating a 2D sketch
  3. Creating an extruded base/boss for the studs
  4. Creating an extruded cut for the stud holes
  5. Using the hole wizard to create a stud hole
  6. Learning how to use chamfers
  7. Shelling out the part and filleting it
  8. Changing the appearance and material
  9. Using a section view while using a part

Run through the carousel to see the parts you will build in this tutorial

← →
Next topic
Creating and Saving a New Part


Creating and Saving a New Part

Creating and Saving a Part Document

Open a new part document and save it as CCID_TutorialParts_LegoBlock.SLDPRT.

In tutorials, click toolbar buttons with orange borders (for example [image] ) to flash the corresponding button in the Solidworks window.

  1. Click New [image] (Standard toolbar).
  2. In the New Solidworks Document dialogue box, click Advanced in bottom left corner.

    (If the Advanced Dialogue box appears by default, skip ahead to the next step)

  3. In the New Solidworks Document dialogue box, click the MecE265 tab, and select MecE 265 Part Template.

    Click OK.

  4. Click Save [image] (Standard toolbar).
  5. In the dialogue box, type CCID_TutorialParts_LegoBlock for the File name.
  6. Click Save.
Previous topic
Introduction
Next topic
Sketching the Base


Sketching the Base

Create a 2D sketch in SolidWorks.

  1. Click Sketch [image] (Sketch toolbar).
    Note: If a feature is created (such as an EXTRUDE) that requires a sketch, the software opens a sketch automatically.

    The principal planes appear, as shown here.

    The cursor turns into [image]. As the cursor moves over a plane, the border of the plane is highlighted.
  2. Select the TOP PLANE.
    • The display changes to normal to the TOP PLANE.
    • The Sketch toolbar commands appear in the CommandManager.
    • A sketch opens on the TOP PLANE.
  3. Click Corner Rectangle [image] (Sketch toolbar).
  4. Move the cursor to the sketch origin [image].

    When the cursor is on the origin it will change to [image].

  5. Select the origin by clicking on it and move the cursor down and to the left. Click again to place the rectangle at an arbitory location. The dimensions do not need to be exact.

  6. Release the Corner Rectangle tool by doing one of the following:
    • Click the button for the tool you are currently using.
    • Press Esc.
    • Click [image] in the PropertyManager.
    • Click the button for the next tool you want to use.
    • Click Select [image] (Standard toolbar).
Previous topic
Creating and Saving a New Part
Next topic
Dimensioning the Base


Dimensioning the Base

Dimensioning the 2D Sketch.

  1. This is the rectangle you just created.

    The green tags show Sketch Relations. Solidworks adds these automatically when a sketch is created.

    Note: The sides of the rectangle that touch the origin are black, meaning they are fully defined. If there are blue lines or points, it means that the sketch is not fully constrained.

    Because the sketch starts at the origin, the vertex of these two sides is automatically coincident with the origin, as shown by the symbol. This relationship constrains the sketch.

    Note: To constrain something is to add a restriction to the geometry of the model.

  2. Dimensions can now be added to allow control of the size of the shape.

    Click Smart Dimension [image] (Sketch toolbar).

  3. Select the bottom edge of the rectangle.

  4. Click above the line to place the dimension. The Modify dialogue box appears.

  5. Set the value to 30 mm.
  6. Click [image]. The sketch resizes to reflect the 30 mm dimension.
  7. Click the side edge of the rectangle, and set the value to 90 mm.

    The sketch is now fully defined, as shown in the status bar at the bottom of the SOLIDWORKS window:

Previous topic
Sketching the Base
Next topic
Extruding the Base


Extruding the Base

  1. Click Exit Sketch [image] (Sketch toolbar).

    Note: Sketch1 appears in the left pane (FeatureManager Design Tree)

  2. Click the Extruded Boss/Base [image] (Features Toolbar).

    Use the cursor to select the rectangle sketched, the view of the sketch changes to Trimetric and a preview of the extrusion appears in the graphics area

  3. In the PropertyManager, under Direction 1:
    1. Select Blind in End Condition.
    2. Set Depth [image] to 30 mm.

  4. To finish, click [image]. A new feature, Boss-Extrude1, appears in the FeatureManager design tree and in the graphics area.

    Note: The sketch was absorbed into the extrusion feature. Click [image] beside Boss-Extrude1 in the FeatureManager design tree to expand the feature.

    Sketch1, which you used to extrude the feature, is listed under the feature.

    To modify a sketch after it has been absorbed, right-click the absorbing feature and select Edit Sketch.

  5. Your part should look like the image below.

  6. Select the solid. The dimensions that were placed on the sketch with Smart Dimension Tool and the height appear and can be edited at any time.

Previous topic
Dimensioning the Base
Next topic
Sketching and Dimensioning the Boss


Sketching and Dimensioning the Boss

A boss (cylinder) now needs to be added to the top of the solid.

  1. Click the top face of the model to preselect the sketch plane for the next feature.

    Note: A solid can also be built directly using the Extruded Boss/Base tool without a sketch selected. SOLIDWORKS will open the sketch tool immediately as a sketch first needs to be defined.
  2. Click Extruded Boss/Base [image] (Features toolbar).
  3. Click the Circle [image] tool (Sketch toolbar).
  4. Click on the top face and move the cursor to sketch a circle. Click again to complete the sketch.

  5. Click Smart Dimension [image] (Sketch toolbar).
  6. Select the perimeter of the circle.

  7. In the Modify dialogue box:
    1. Set the value to 20 mm.
    2. Click [image].

  8. Still using Smart Dimension [image] , select the top edge of the face, select the center of the circle, and click to place the dimension.

    1. Set the value to 15 mm.
    2. Repeat this so that the center of the circle is 15 mm from the left edge of the face.
    3. Click [image].
  9. Repeat steps 3-7, selecting the new circle, define the distance to first circle to be 30 mm, and the distance to the left edge to be 15 mm.

Previous topic
Extruding the Base
Next topic
Extruding the Boss


Extruding the Boss

  1. Click Exit Sketch [image] (Sketch toolbar).
    Note: The Boss-Extrude PropertyManager appears in the left pane and a preview of the extrusion appears in the graphics area.

  2. In the PropertyManager, under Direction 1:
    1. Select Blind in End Condition.
    2. Set Depth [image] to 10 mm.
    3. Check the Merge result option.
      4. Note: Merge result merges the cylinders and the first block into one single solid.

  3. Click [image]. Boss-Extrude2 appears in the FeatureManager design tree.

The part should now look like this:

Previous topic
Sketching and Dimensioning the Boss
Next topic
Creating an Extruded Cut


Creating an Extruded Cut

Next, cut a hole through the part by sketching the hole and then perform an extrude cut.

This will be done using the following steps in the coming pages.

  1. Sketching the Cutting Base
  2. Dimensioning the Cutting base
  3. Extruded Cutting the Base

Previous topic
Extruding the Boss
Next topic
Sketching the Cutting Base


Sketching the Cutting Base

Firstly, sketch the circle with the circle sketching tools.

  1. Click Extruded Cut [image] (Features toolbar).
  2. Select the top face of the upper circular stud to draw the circle here.

  3. Rotate the view to have a better view of the sketch.
  4. Click Circle [image] (Sketch toolbar).
  5. Move the cursor to the top stud of the LEGO brick. Hover the mouse over the edge of the stud and the center mark appears. This can now be selected allowing the sketch to be locked to the center of the stud.

  6. Click to create the circle and click again to place the circle.
  7. Click Smart Dimension [image] and set the diameter of the hole to 16 mm.

Previous topic
Creating an Extruded Cut
Next topic
Extruding the Sketch


Extruding the Sketch

Complete the extrusion.

  1. Click Exit Sketch [image] (Sketch toolbar). The sketch closes and the Cut-Extrude PropertyManager appears.
  2. There are a number of ways to make the necessary extrude cut in this stage. Here, we will just a manual approach:
    1. In the PropertyManager, under Direction 1, set End Condition to Blind,

      then set the depth to be 10 mm.

    2. In the PropertyManager, under Direction 1, set End Condition to Up To Surface,

      then click on the Top Face of the base.

  3. Click [image].

Previous topic
Sketching the Cutting Base
Next topic
Creating A Through All Hole


Creating A Through All Hole

Next, create a through all hole by using Extruded Cut function.

  1. Click Extruded Cut [image] (Features toolbar).
  2. Select the bottom face of the cylinder.

  3. Click Circle [image] (Sketch toolbar).
  4. Move the cursor until changes indicate that the center of the circle is coincident with the center of the stud.

    Create a circular sketch.
  5. Click Smart Dimension [image] and set the diameter of the hole to 10 mm.

  6. Click Exit Sketch [image] (Sketch toolbar).

    The sketch closes and the Cut-Extrude PropertyManager appears.

  7. In the PropertyManager, under Direction 1, set End Condition to Through All.

  8. Click [image].

    The part should now look as follows.

Previous topic
Extruding the Sketch
Next topic
Creating a Hole with the Hole Wizard


Creating a Hole with the Hole Wizard

A hole is often an important feature of the design and SOLIDWORKS has advanced tools for such features. To create the hole for the second stud we will use an automated approach that allows fast changing of hole properties and style. We will do this using the Hole Wizard:

  1. Click Hole Wizard [image] (Features toolbar).
  2. In the PropertyManager, on the Type tab, under Hole Type, select:
    • Use Counterbore [image] for the hole type (it may already be selected by default).
    • Use ANSI Metric in Standard so the the hole conforms to a conventional standard shape.

  3. While standard size holes can be added, in this case, the hole needs to be custom sized.

    Under Hole Specifications, select Show custom sizing. Set the values as following:

  4. Under Options, deselect everything:
  5. At the top of the PropertyManager, select the Positions tab.

  6. In the graphics area, click the top surface of the boss cylinder, then move the cursor until it indicates that the center of cylinder circle has been identified. Click the left mouse botton to select this point to place a hole here.

    Note: The hole position does not need to be exact. The hole position can also later be defined by using Smart Dimension.

  7. Click [image] to close the Point PropertyManager.

    Below is a view of the hole you just created. Notice the location of the corresponding dimensions entered above.

    Note: In order, these dimensions are called the:
    1. Through Hole Diameter
    2. Counterbore Diameter
    3. Counterbore Depth
Previous topic
Creating a Through All Hole
Next topic
Creating Corner Chamfers


Creating Corner Chamfers

Now, we will build a chamfer (slope) and one end of the block.

  1. Click Chamfer [image] (Features toolbar).
  2. Select the top front edge of the base

  3. Under Chamfer Parameters, set Distance to 28 mm, and Angle to 45°.

    Note: the distance in this situation refers to the distance from the selected edge to the chamfer edge in the direction of the purple arrow

    Note: the angle in this situation refers to the angle made between the yellow and black lines in the direction of the purple arrow

  4. Click [image] to complete the step.
Previous topic
Creating a Hole with the Hole Wizard
Next topic
Creating the Shell


Creating the Shell

The design of the LEGO block calls for the internal material to be removed or the part to be 'shelled' out. This means the part has a constant thickness for its walls and is suitable to be made using a plastic injection molding process.

We could do this manually, but it would take many steps and would be difficult. As this is a standard manufacturing technique, SOLIDWORKS has an advanced tool for shelling parts.

  1. Rotate the part until the bottom face is visible.
  2. Select the bottom face.

  3. Click Shell [image] (Features toolbar).
  4. Under Parameters, set Thickness [image] to 3 mm, which will be the wall thickness.

  5. Click [image].

    The shell operation removes the selected face and leaves a thin-walled part.

Previous topic
Creating Corner Chamfers
Next topic
Creating Hole fillets


Creating Hole Fillets

Sharp edges are undesirable and are also difficult to make, if internal. To counter this, a small radius or fillet is added in the corners.

  1. Click Fillet [image] (Features toolbar).
  2. Under Fillet Type, click Constant Size Fillet.

  3. Under Fillet Parameters, set Radius [image] to 0.5 mm.

  4. Select every face in the interior of the part.

  5. Click [image].
    Notice in the figures below that all edges adjacent to the planes selected now have a fillet of the same size.

Previous topic
Creating the Shell
Next topic
Appearance and Material


Appearance and Material

A material, which allows the determiantion of the weight of the part and realistic appearance can be added to the model.

  1. Assign a material:
    1. In the FeatureManager, right-click Material <not specified>.
    2. Click Edit Material.

    3. In the Material dialogue box, expand Plastics.
    4. Select ABS.
    5. Click Apply and click Close.
    Note: is another way to access Edit Material.
  2. Click Edit Appearance on the top of window.

    Use the appearance panel on the left to change the color of LEGO brick.

    1. Select the part, or complete solid in Geometry Section
    2. Select a color in the Color Section

  3. Click [image] to complete the step.
Previous topic
Creating Hole Fillets
Next topic
Creating a Section View


Section View

Creating a section view of the shell

It is helpful when making parts with internal features to be able to see inside. This can be done in the solid model by sectioning the part. This will allow details of the shelling operation to be investigated.

  1. Click Section View [image] (View Toolbar).

    Note: The View toolbar itself is always accesible over the Part Document Window:

  2. In the PropertyManager, under Section 1, click Right Plane, Set the distance to -15 mm. Reverse the direction if needed.

  3. The handle can be dragged up to show the section view.

  4. Click [image].

  5. Click Section View [image] (View Toolbar) to clear the section view.
  6. Click Save [image] (Standard toolbar).
Previous topic
Appearance and Materials
Next topic
Conclusion


Congratulations

Conclusion

Congratulations! You have completed this tutorial.

Summary

The learning objectives of this tutorial were to make a basic part in SOLIDWORKS, which included the following concepts:

  • How to make a new part
  • Creating a sketch
  • Extruded Base/Boss
  • Extruded Cut
  • Hole Wizard
  • Fillets and Chamfers
  • Shell
  • Section View
  • Appearance and Material

Additional Resources

The original SOLIDWORKS parts tutorial found in SOLIDWORKS covers a few extra features, which were excluded from this part tutorial. Going over the original tutorial will also help students reinforce the concepts taught in this tutorial.

SOLIDWORKS Web Help

SOLIDWORKS Web Help is the official online help website for SOLIDWORKS software. It contains detailed explanations and examples of all features available. Definitely a great resource if you need to use features and properties that are not mentioned in this tutorial.

Acknowledgements

This tutorial was planned and written by Jia under the direction of Dr. Nobes (2016,2017). Property of the Mechanical Engineering Department, University of Alberta.

Previous topic
Section View of Part